<ui:composition xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:f="http://java.sun.com/jsf/core" 
				xmlns:h="http://java.sun.com/jsf/html" 
				xmlns:ui="http://java.sun.com/jsf/facelets" 
				template="/template/template.xhtml"> 
				
<ui:param name="page_name" value="Accueil" /> 
	<ui:define name="content">
 			    
    <h:panelGroup columns="2">
  		<h:form>
 			 
				<div class="form-inline">
 			
					<h:outputText  class = "control-label col-md-2" value="Content"></h:outputText>
					<h:inputText class = "form-control" value="#{postBean.content}"></h:inputText>
								
					<h:outputText class = "control-label col-md-2" value="Hashtag"></h:outputText>
					<h:inputText class = "form-control" value="#{postBean.hashtag}"></h:inputText>
			
				
				
					<h:outputText class = "control-label col-md-2" value="Type"></h:outputText>
					<h:inputText class = "form-control" value="#{postBean.type}"></h:inputText>
			
				</div>
				
				
				<ui:repeat value="#{postBean.posts}" var="post">
 			 	 <div class="post-content">
 			 	 
 			 	  <div class="post-container">
				<img src="#{request.contextPath}/assetsFront/images/users/user-5.jpg" alt="user" class="profile-photo-md pull-left" />
				
				<div class="post-detail">
				<div class="user-info">
				<h5><a href="timeline.html" class="profile-link">Ali saidani </a><span class="following"></span>#{post.hashtag}</h5>
				<p class="text-muted">#{post.creationDate}</p>
					<div class="reaction">
                    	<a class="btn text-green"><i class="icon ion-thumbsup"></i>#{post.nbrLikes}</a>
                    	<h:commandButton action="#{postBean.displayPost(post)}" value="Afficher"  image="/assetsFront/images/view.png"/>
						<h:commandButton value="Mettre A jour Post" action= "#{postBean.updatePost()}" image="/assetsFront/images/update.png" />
						<h:commandButton action="#{postBean.removePost(post.postId)}" value="Supprimer" image="/assetsFront/images/delete.png" />		
                  	</div>
                  	<div class="line-divider"></div>
                  	<div class="post-text">
                    #{post.content}
                  	</div>
                   <div class="post-comment">
                    <img src="#{request.contextPath}/assetsFront/images/users/user-1.jpg" alt="" class="profile-photo-sm" />
                    <input type="text" class="form-control" placeholder="Post a comment"></input>
                  </div>				   
						   
						   </div>
						  </div> 
						</div>	
					</div>
					 </ui:repeat>
			</h:form>
		</h:panelGroup>
	
				
				<h:panelGroup columns="2">
					<h:form>
						<h:dataTable value="#{postBean.posts}" var="post" border="1">
							
							<h:column><f:facet name="header"><h:outputText value="Content" /></f:facet>
							<h:outputText value="#{post.content}" /></h:column>
							<h:column><f:facet name="header"><h:outputText value="Hashtag" /></f:facet>
							<h:outputText value="#{post.hashtag}" /></h:column>
							
							<h:column><f:facet name="header"><h:outputText value="Type" /></f:facet>
							<h:outputText value="#{post.type}" /></h:column>
							
							
							
							<h:column>
								<f:facet name="header"><h:outputText value="Action" /></f:facet>
								<h:commandButton action="#{postBean.displayPost(post)}" value="Afficher" />
								<h:commandButton value="Mettre A jour Post" action= "#{postBean.updatePost()}" />
								<h:commandButton action="#{postBean.removePost(post.postId)}" value="Supprimer" />
								
							</h:column>
							
						</h:dataTable>
					</h:form>
				</h:panelGroup>
				
			
   </ui:define> 
  </ui:composition>
 